Subject: [AVTCORE] New version available of draft-hellstrom-avtcore-multi-party-rtt-solutions-01.txt

From: Gunnar Hellström <[email-masked]>
Date: Mon, 15 Jun 2020 17:44:59 +0200

A new version of the overview of solutions for multi-party real-time 
text is available in draft-hellstrom-avtcore-multi-party-rtt-solutions-01.

This version is mainly done for checking that we are on the right track 
with the RTP-mixer based solution, specified in 
draft-ietf-avtcore-multi-party-rtt-mix

There are four alternatives in the new solutions draft which compete for 
being the favourite to be selected and thoroughly specified in the -mix 
draft.

They are:

  4.1.1.5.  RTP Mixer with multiple primary data in each packet
                  and individual sequence numbers . . . . . . . . . .  11
  4.1.1.6.  RTP Mixer with multiple primary data in each
                  packet  . . . . . . . . . . . . . . . . . . . . . .  12
  4.1.1.7.  RTP Mixer with RFC 5109 FEC and RFC 2198 redundancy
  
  4.1.1.8.  RTP Mixer with RFC 5109 FEC and RFC 2198 redundancy
                  and separate sequence number in the packets . . . .  15

Currently the -mix draft is based on section 4.1.1.6.

Each of these four solutions has its own pros and cons.

Thus:

4.1.1.6 has very good switching performance but cannot tell which source 
lost text if loss appears.

4.1.1.5 Has same good switching performance and can tell which source 
lost text.

4.1.1.7 Has better chance to recover text in bursty loss conditions, has 
lower but sufficient switching performance and cannot tell which source 
had loss.

4.1.1.8 Is similar to 4.1.1.7 but can tell which source lost text, but 
is less based on existing standards than 4.1.1.7.

There are other comparison metrix in the draft. Are we on the right way 
to continue with 4.1.1.6?

Regards

Gunnar

Den 2020-06-15 kl. 17:13, skrev [email-masked]:
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
>
>
>          Title           : Real-time text solutions for multi-party sessions
>          Author          : Gunnar Hellstrom
> 	Filename        : draft-hellstrom-avtcore-multi-party-rtt-solutions-01.txt
> 	Pages           : 40
> 	Date            : 2020-06-15
>
> Abstract:
>     This document specifies methods for Real-Time Text (RTT) media
>     handling in multi-party calls.  The main transport is to carry Real-
>     Time text by the RTP protocol in a time-sampled mode according to RFC
>     4103 [RFC4103].  The mechanisms enable the receiving application to
>     present the received real-time text media separated per source, in
>     different ways according to user preferences.  Some presentation
>     related features are also described explaining suitable variations of
>     transmission and presentation of text.
>
>     Call control features are described for the SIP environment.  A
>     number of alternative methods for providing the multi-party
>     negotiation, transmission and presentation are discussed and a
>     recommendation for the main ones is provided.  The main solution for
>     SIP based centralized multi-party handling of real-time text is
>     achieved through a media control unit coordinating multiple RTP text
>     streams into one RTP stream.
>
>     Alternative methods using a single RTP stream and source
>     identification inline in the text stream are also described, one of
>     them being provided as a lower functionality fallback method for
>     endpoints with no multi-party awareness for RTT.
>
>     Bridging methods where the text stream is carried without the
>     contents being dealt with in detail by the bridge are also discussed.
>
>     Brief information is also provided for multi-party RTT in the WebRTC
>     environment.
>
>     The intention is to provide background for decisions, specification
>     and implementation of selected methods.
>
>
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-hellstrom-avtcore-multi-party-rtt-solutions/
>
> There are also htmlized versions available at:
> https://tools.ietf.org/html/draft-hellstrom-avtcore-multi-party-rtt-solutions-01
> https://datatracker.ietf.org/doc/html/draft-hellstrom-avtcore-multi-party-rtt-solutions-01
>
> A diff from the previous version is available at:
> https://www.ietf.org/rfcdiff?url2=draft-hellstrom-avtcore-multi-party-rtt-solutions-01
>
>
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
>
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
>
>
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

-- 
Gunnar Hellström
GHAccess
[email-masked]